%define _disable_ld_no_undefined 1

%define name kicad
%define version 20080715
%define date 2008-07-15
%define release %mkrel 4

Summary:  An open source software for the creation of electronic schematic diagrams
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Patch0: disable_svn_header.patch
Patch1: fix_desktop.patch
License: GPLv2+
Group: Sciences/Computer science
Url: http://www.lis.inpg.fr/realise_au_lis/kicad/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: wxGTK-devel >= 2.6
BuildRequires: mesa-common-devel
BuildRequires: ImageMagick
BuildRequires: boost-devel
BuildRequires: cmake
BuildRequires: desktop-file-utils
Requires: %{name}-library %{name}-doc

%description
Kicad is an open source (GPL) software for the creation of electronic 
schematic diagrams and printed circuit board artwork. 

Kicad is a set of four softwares and a project manager: 
 
	Eeschema :  Schematic entry. 
	Pcbnew :    Board editor. 
	Gerbview :  GERBER viewer (photoplotter documents). 
	Cvpcb :     footprint selector for components used in the circuit design. 
	Kicad:      project manager.

%prep
%setup -q -n %{name} 
%patch0 -p1
%patch1 -p1

%build
export LC_ALL=C
%cmake -DBUILD_SHARED_LIBS:BOOL=OFF
%make

%install
rm -rf %{buildroot}
make -C build DESTDIR=%buildroot install

# create desktop file
desktop-file-install --vendor='' \
	--remove-category='Scientific' \
	--add-category='Science;Electronics' \
	--dir=%buildroot%{_datadir}/applications \
	%buildroot%{_datadir}/applications/*.desktop

# create icons
mkdir -p %{buildroot}%{_miconsdir} %{buildroot}%{_iconsdir} %{buildroot}%{_liconsdir}
convert -resize 16x16 %{buildroot}%{_datadir}/pixmaps/%{name}.png %{buildroot}%{_miconsdir}/%{name}.png
convert -resize 32x32 %{buildroot}%{_datadir}/pixmaps/%{name}.png %{buildroot}%{_iconsdir}/%{name}.png
convert -resize 48x48 %{buildroot}%{_datadir}/pixmaps/%{name}.png %{buildroot}%{_liconsdir}/%{name}.png


%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif


%files
%defattr(-,root,root)
%{_bindir}/*
%{_prefix}/lib/%{name}/plugins/netlist_form_pads-pcb
%{_datadir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/*
%{_datadir}/pixmaps/%{name}.png
%doc %{_datadir}/doc/%{name}


%changelog
* Tue Aug 26 2008 trem <trem@mandriva.org> 20080715-4mdv2009.0
+ Revision: 276407
- new mdvrelease
- replace kicad-20080715-fix-desktop.patch by fix_desktop.patch

  + Funda Wang <fundawang@mandriva.org>
    - drop our own desktop file

* Tue Aug 26 2008 Funda Wang <fundawang@mandriva.org> 20080715-2mdv2009.0
+ Revision: 276135
- fix license
- fix desktop file

* Thu Aug 21 2008 trem <trem@mandriva.org> 20080715-1mdv2009.0
+ Revision: 274944
- update to 20080715

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request
    - import kicad

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Tue Aug  1 2006 Couriousous <couriousous@mandriva.org> 20060626-1mdv2007.0
- XDG
- 20060626

* Tue Apr 18 2006 Nicolas Lcureuil <neoclust@mandriva.org> 20060321-2mdk
- Fix BuildRequires
- use mkrel

* Mon Apr 17 2006 Couriousous <couriousous@mandriva.org> 20060321-1mdk
- 20060321

* Fri Sep  9 2005 Couriousous <couriousous@mandriva.org> 20050906-1mdk
- 20050906

* Tue Jul 26 2005 Couriousous <couriousous@mandriva.org> 20050725-1mdk
- 20050725
- Kicad is now FHS complient

* Sun Jul 17 2005 Couriousous <couriousous@mandriva.org> 20050704-1mdk
- First Mandriva release
- Patch for gcc4
- Patch for amd64

